/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #ffffff;
}

/* HP Edits - Started <March 12, 2026> */

/**/
	/*fonts*/

	/*btns*/

/*Modal*/
/* Header */
	/**/
.ry-menu .ry-nav li.primary .caret {
    border-color: var(--color-primary-text);
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-primary-background);
}
.ry-menu .ry-nav li:hover{
    color: #fff;
}
.ry-menu .ry-nav li.dropdown .dropdown-menu li {
    background: var(--color-primary-background);
    color: var(--color-primary-text);
}
body[data-page-name="index"] #navigation {
    position: absolute;
}

.cta-btn {
    background: white;
    border-radius: 999px;
	color: #374151;
}

.cta-btn:hover {
    background: var(--color-primary-background);
	color:var(--color-primary-text);
	border: none;
}

/* Hero */
	/**/
.with-gradient:before {
    background-image: linear-gradient(to top, #000000d6, transparent, #000000d6);
}
.slider-info {
    min-height: fit-content;
}
@media (min-width: 768px) {
    .slider-info-center-bottom {
        bottom: 5%;
    }
}
/* CTA */
	/**/
/* Welcome */
	/**/
/* Services */
	/**/
.ry-services.style2 p {
    display: none;
}
.ry-services.style2::before {
    height: 40%;
    background: var(--color-primary-background);
}
.ry-services.style2 .each-block .title {
    width: 100%;
}
.ry-services.style2 .each-block .title {
    width: 100%;
}
.ry-services.style2 .each-block:hover .photo {
    background: #203081
}
.ry-services.style2 .each-block:hover .photo img {
    filter: brightness(0) invert(1);
}
/* Meet the Team */
	/**/
#section-hp-team:before {
    background: var(--color-primary-background);
    height: 60%;
    top: auto;
    bottom: 0;
}

#section-hp-team:after {
    content: "";
    position: absolute;
    height: 50%;
    width: 1100px;
	background: url(https://s3.amazonaws.com/static.organiclead.com/Site-1bccacd1-1c5b-4b61-aa28-335aa808c01f/backgrounds/specialeye_team_box.jpg) center center no-repeat;
	background-size: cover;
    top: 0;
    left: 50%;
    transform: translate(-50%, 0);
    border-radius: 20px;
}
#section-hp-team h6,
#section-hp-team p {
    color: #fff;
}
/* Insurance */
	/**/
#hp-insurance-1 {
    background: white;
}

#hp-insurance-1 .overflow-hidden {
    padding: 0;
}

#hp-insurance-1 .swiper-slide {
    background: none;
    padding: 0;
}

#hp-insurance-1 .swiper-slide img {
    height: 100px;
}
/* Brand */
	/**/
/* Request Appointment */
	/**/
#hp-form-1::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
	background: url(https://s3.amazonaws.com/static.organiclead.com/Site-1bccacd1-1c5b-4b61-aa28-335aa808c01f/backgrounds/specialeye_form_bg_v3.jpg) center center no-repeat;
	background-size: cover;
}
/* Testimonials */
	/**/
/* Footer */
	/**/
#ry-footer::before {
    background-color: var(--color-secondary-background);
}
#ry-footer h6 {
    font-size: 26px;
    text-transform: uppercase;
}

.homepage-swiper .swiper-slide img {
    object-position:center 30%
}
/*Media Queries*/
	/**/
@media (min-width: 1081px) {
    .mobile-services {
        display: block;
    }
    .ry-services.style2 .block-count-6 {
        display: none;
    }
}
@media (width < 1080px) {
    #section-hp-services::before, .module-19.style2::before, .ry-services.style2::before {
        opacity: 1;
    }
}
@media screen, (max-width:1080px) and (min-width: 1081px) {
    .ry-services.style2 .ry-flex {
        display: none;
    }

    .ry-services.style2 .each-block .photo {
        position: relative;
        padding-bottom: 100%;
        border-radius: 999px;
        overflow: hidden;
        box-shadow: 0 0 7px #3333334f;
        background: white;
    }

    .ry-services.style2 .each-block .photo:before {
        content: "";
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 150px;
        z-index: 2;
        background: none;
    }

    .ry-services.style2 .each-block .photo img {
        position: absolute;
        top: 25%;
        left: 25%;
        width: 50%;
        height: 50%;
        object-fit: cover;
        border-radius: 999px;
    }

    .ry-services.style2 .each-block .title {
        position: absolute;
        bottom: -95px;
        left: 50%;
        transform: translate(-50%, 0);
        z-index: 3;
        transition: .4s;
    }

    .ry-services.style2 .each-block .title div {
        font-size: 22px;
        color: var(--color-primary-background);
        line-height: 1;
    }

    .ry-services.style2 .each-block .link, .ry-services.style2 .each-block .link a {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 9;
        opacity: 0;
    }

    .ry-services.style2 .each-block .button-svg {
        display: none;
    }

    .mobile-services .slick-track .each-block {
        margin-left: 25px;
        margin-bottom: 125px;
    }

    .mobile-services .slick-list {
        margin-left: -25px;
    }

    .mobile-services .slick-dots {
        margin-top: 30px;
        padding-left: 0;
        list-style: none;
        display: flex !important;
        justify-content: center;
        align-items: center;
    }

    .mobile-services .slick-dots li {
        margin: 0 3px;
        height: auto;
        line-height: initial;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .mobile-services .slick-dots li:not(.slick-active) {
        opacity: .5;
    }

    .mobile-services .slick-dots button {
        width: 12px;
        height: 12px;
        text-indent: -9999999px;
        background: #333333;
        border: unset;
        box-shadow: unset;
        border-radius: 50%;
    }

    .mobile-services .slick-arrow {
        display: none !important;
    }
}
@media screen and (max-width:768px){
	#hp-promotions .ry-flex {
		flex-direction: column-reverse;
	}
}
@media (max-width:1080px){
    #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
        height: 100vh !important;
    }
}
@media (max-width:780px){
	  #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
        height: 80vh !important;
    }
}
@media (max-width:767px){
	   #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
        height: 100% !important;
    }
    .with-gradient:before {
        opacity: 0;
    }
}
@media (max-width: 500px) {
	.homepage-swiper {
		padding-top: 100px;
	}
}
/* End - HP Edits*/

div#navigation {
    background-color: #333333;
}
#ry-footer .gap-4.flex-wrap .gap-6 {
    gap:5px
}
#ry-footer .gap-4.flex-wrap .gap-6 a {
    transition:all .3s ease;
       width:35px;
    border-radius:50%;
    height:35px;
    display:flex;
    justify-content:center;
    align-items:center;
}
#ry-footer .gap-4.flex-wrap .gap-6 a:hover{
    color:#ffffff;
    background:var(--color-primary-background);
 
}

#ry-footer .gap-4.flex-wrap .gap-6 a i {
    margin-top:3px
}

#googleDropdown {
    display: none; position: absolute; 
    top: 100%; 
    left: 0; 
    background:var(--color-secondary-background) !important;
    padding: 10px; 
    min-width: 200px;
		border:solid 1px #fff
}
#googleDropdown a{
    width:100% !important;
    padding-inline:20px !important;
    border-radius:unset !important;
    transition:all .3s ease
}

#googleDropdown a:hover{
    background:#fff !important;
    color:#333 !important
}

.inside-page-slider .slick-dots {
  bottom: -30px;
  display:flex !important;
  padding:0;
  margin:0;
  justify-content:center;
  align-items:center;
  margin-top:20px
}

.inside-page-slider .slick-dots li {
  margin: 0 3px;
  list-style:none
}

.inside-page-slider .slick-dots li button {
  width: 10px;
  height: 10px;
  padding: 0;
  font-size:0;
  border-radius:50%;
  border:0;
  background:#0000002e
}

.inside-page-slider .slick-dots li.slick-active button {
  background:var(--color-primary-background)
}

.inside-page-slider .slick-dots li button:before {
  content: '';
  width: 8px;
  height: 8px;
  background: transparent;
  border-radius: 50%;
  opacity: 1;
}


.inside-page-slider {
  position:relative
}
.inside-page-slider .slick-slide {
	display:flex;
	align-items:center;
	justify-content:center;
	height:100% !important;
	margin:auto;
	width:100% !important
	
}
.inside-page-slider  .slick-track {
	display:flex
}
.inside-page-slider img {
	width:fit-content;
	margin-inline:auto;
	max-width:100%;
	width:100%;
	margin-inline:auto;
	max-height:600px;
	padding:0;
	margin:0;
	object-fit:contain
}
.inside-page-slider .slick-prev,
.inside-page-slider .slick-next {
  z-index: 2;
  position:absolute;
  top:50% !important;
  transform:translateY(-50%) !important;
  background:transparent;
  border:none
}
.inside-page-slider .slick-prev {
  left:0
}
.inside-page-slider .slick-next {
  right:0
}
.inside-page-slider .slick-prev:before,
.inside-page-slider .slick-next:before {
  display: none;
}

.inside-page-slider svg {
  fill: #a1a1a199;;
  width:40PX;
  height:40px
}


@media(max-width:480px) {
	.inside-page-slider img {
    width: 100%;
    margin-inline: auto;
    max-height: 240px;
    object-fit: contain;
    padding: 0;
    margin: 0;
}

}
.contact-template.style-3 .inner-flex .ry-each .inner-group .text-wrap:last-child {
    width:45%;
    
}
.contact-template.style-3 .inner-flex .ry-each .inner-group .text-wrap .text-wrap {
    width:fit-content
}
.contact-template.style-3 .inner-flex .ry-each .inner-group .text-wrap .text-wrap * {
    text-wrap:nowrap
}
.contact-template.style-3 .inner-flex .ry-each .inner-group .text-wrapper {
    align-items:start;
    gap:10px;
    justify-content:space-between
}
@media (max-width: 1080px) {
    .contact-template.style-3 .inner-flex .ry-each {
        width: 100%;
    }
}
@media(max-width:768px) {
	.contact-template.style-3 .inner-flex .ry-each .inner-group .text-wrapper {
		align-items:center;
		gap:10px;
		justify-content:center;
		flex-direction:column
	}
	.contact-template.style-3 .inner-flex .ry-each .inner-group .text-wrap .text-wrap:nth-child(2) .icon{
		display:none
	}
	.contact-template.style-3 .inner-flex .ry-each .inner-group .text-wrap .text-wrap {
		width:100%;
		margin-bottom:10px
	}
	.contact-template.style-3 .inner-flex .ry-each .inner-group .text-wrap .icon {
		margin-bottom:10px
	}
}